M310 - Unable to launch Mongod

vagrant@database:~$ mongod
The program ‘mongod’ is currently not installed. To run ‘mongod’ please ask your administrator to install the package ‘mongodb-server’

i tried
vagrant up --provision
still it results in an error

database: WARNING: The following packages cannot be authenticated!
database: mongodb-enterprise-shell mongodb-enterprise-server mongodb-enterprise-mongos
database: mongodb-enterprise-tools mongodb-enterprise
database: E
database: :
database: There are problems and -y was used without --force-yes
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

2 Likes

Hey @Abhisake_Sakthi_63497

Hey you tried to run

vagrant destory
vagrant up

To start again?

Hi @natac13

yeah i tried the same still getting the same error

Hi,

Same situation as @Abhisake_Sakthi_63497 in here… i think there is some error inside the server:
http://repo.mongodb.com/trusty/mongodb-enterprise/3.2/multiverse/

Or maybe the “provision-database” file is not yet updated with the last server

I tried to force using the repo “http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.2/multiverse/” but it throws some different errors and it is not the way.

Hope to receive some fix soon!
Cheers.

I am having the exact issue, how to fix it?

Update: Found answer here: Database Machine

1 Like

Yep having the same issue

@jplourenco see this post

1 Like

Let me know if you are still facing the issue.

Kanika